/******************************************************************************************
	CRTEST PS   (c) 1999-2001 ISL

	crate.h			
******************************************************************************************/

#ifndef __CRATE_H__
#define __CRATE_H__

void crateStart(void);
static void crateCycle(void);
static void crateEnd(void);
static void crateDraw(void);
static void crateMoveCrate(void);
static void crateUpdateLinkPositions(void);
static void crateDrawMap(void);
static void crateDrawModels(void);
static void crateDrawSprites(void);
static void crateDrawSky(void);
static void crateDrawOverlays(void);
static void crateMoveTweedy(void);
static void crateMoveAxe(void);
static void crateDrawRectangle(int x, int y, int number);
static void crateMoveRope(void);
static void crateCollision(void);
static void crateGeneratePartExplosion(VECTOR *v);
static void crateDrawPartExplosion(void);
static void crateUpdatePartExplosion(void);
static void crateMoveCamera(void); 
static void crateKeepPointWithinSphere(VECTOR *v, int radius);
static void crateGenerateNewEgg(void);
static void crateMoveEgg(void);
static void crateDrawEgg(void);
static void crateUpdateState(void);
static void crateCheckCrateDamage(void);
static void crateEndFail(void);
static void crateEndSuccess(void);
static void crateDrawBriefing(void);
static void crateStopSamples(void);

#endif

